#
# spec file for package iso-codes (Version 0.49)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils python python-xml pyxml rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           iso-codes
BuildRequires:  pyxml
License:        LGPL
Group:          System/GUI/GNOME
Autoreqprov:    on
Version:        0.49
Release:        17.2
Summary:        ISO Code Lists and Translations
# http://packages.qa.debian.org/i/iso-codes.html
Source:         %{name}-%{version}.tar.bz2
URL:            http://alioth.debian.org/projects/pkg-isocodes/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch

%description
This package provides the ISO-639 language code list, the ISO-3166
territory code list, ISO-3166-2 subterritory lists, and all their
translations in gettext .po form.



Authors:
--------
    Alastair McKinstry, <mckinstry@debian.org>

%debug_package
%package devel
Summary:        ISO code lists and translations
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}

%description devel
This package provides the ISO-639 Language code list, the ISO-3166
Territory code list, and ISO-3166-2 sub-territory lists, and all their
translations in gettext .po form.



Authors:
--------
    Alastair McKinstry, <mckinstry@debian.org>

%prep
%setup -q
rm -v */no.*
rm -v */*/no.*

%build
./autogen.sh --prefix=%{_prefix}
make 

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog LGPL-2.1 README TODO
%defattr (-, root, root,-)
%{_datadir}/iso-codes
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/xml/iso-codes
# Maybe can be in filesystem:
%dir %{_datadir}/xml
%dir /usr/share/locale/aa
%dir /usr/share/locale/aa/LC_MESSAGES
%dir /usr/share/locale/byn
%dir /usr/share/locale/byn/LC_MESSAGES
%dir /usr/share/locale/dv
%dir /usr/share/locale/dv/LC_MESSAGES
%dir /usr/share/locale/gez
%dir /usr/share/locale/gez/LC_MESSAGES
%dir /usr/share/locale/gv
%dir /usr/share/locale/gv/LC_MESSAGES
%dir /usr/share/locale/haw
%dir /usr/share/locale/haw/LC_MESSAGES
%dir /usr/share/locale/hy
%dir /usr/share/locale/hy/LC_MESSAGES
%dir /usr/share/locale/iu
%dir /usr/share/locale/iu/LC_MESSAGES
%dir /usr/share/locale/kk
%dir /usr/share/locale/kk/LC_MESSAGES
%dir /usr/share/locale/kl
%dir /usr/share/locale/kl/LC_MESSAGES
%dir /usr/share/locale/kok
%dir /usr/share/locale/kok/LC_MESSAGES
%dir /usr/share/locale/kw
%dir /usr/share/locale/kw/LC_MESSAGES
%dir /usr/share/locale/ky
%dir /usr/share/locale/ky/LC_MESSAGES
%dir /usr/share/locale/om
%dir /usr/share/locale/om/LC_MESSAGES
%dir /usr/share/locale/ps
%dir /usr/share/locale/ps/LC_MESSAGES
%dir /usr/share/locale/sa
%dir /usr/share/locale/sa/LC_MESSAGES
%dir /usr/share/locale/sid
%dir /usr/share/locale/sid/LC_MESSAGES
%dir /usr/share/locale/so
%dir /usr/share/locale/so/LC_MESSAGES
%dir /usr/share/locale/sw
%dir /usr/share/locale/sw/LC_MESSAGES
%dir /usr/share/locale/syr
%dir /usr/share/locale/syr/LC_MESSAGES
%dir /usr/share/locale/ti
%dir /usr/share/locale/ti/LC_MESSAGES
%dir /usr/share/locale/tig
%dir /usr/share/locale/tig/LC_MESSAGES
%dir /usr/share/locale/tk
%dir /usr/share/locale/tk/LC_MESSAGES
%dir /usr/share/locale/tl
%dir /usr/share/locale/tl/LC_MESSAGES
%dir /usr/share/locale/ur
%dir /usr/share/locale/ur/LC_MESSAGES
%dir /usr/share/locale/ve
%dir /usr/share/locale/ve/LC_MESSAGES
%dir /usr/share/locale/wal
%dir /usr/share/locale/wal/LC_MESSAGES
%dir /usr/share/locale/wo
%dir /usr/share/locale/wo/LC_MESSAGES

%files devel
%defattr(-,root,root,-)
%{_datadir}/pkgconfig/iso-codes.pc

%changelog -n iso-codes
* Sun Mar 05 2006 - aj@suse.de
- removed "tt" directories since they are in filesystem now.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 - sbrabec@suse.cz
- Updated to version 0.49.
* Thu Jan 05 2006 - ro@suse.de
- removed "fo" directories (in filesystem)
* Thu Sep 29 2005 - dmueller@suse.de
- add norootforbuild
* Wed Aug 03 2005 - sbrabec@suse.cz
- Updated to version 0.47.
* Mon Jun 27 2005 - sbrabec@suse.cz
- Bi-arch fix.
* Wed Jun 22 2005 - gekker@suse.de
- Fix the file lists
- Patch the Makefile
* Tue Jun 21 2005 - gekker@suse.de
- Initial import of iso-codes version 0.25
